---
title: Content-Range
slug: Web/HTTP/Headers/Content-Range
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Response Header
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Content-Range</code></strong> response HTTP header indicates where in a full body message a partial message belongs.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Simple response header", "CORS-safelisted response-header")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Content-Range: &lt;unit&gt; &lt;range-start&gt;-&lt;range-end&gt;/&lt;size&gt;
Content-Range: &lt;unit&gt; &lt;range-start&gt;-&lt;range-end&gt;/*
Content-Range: &lt;unit&gt; */&lt;size&gt;</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;unit&gt;</dt>
 <dd>The unit in which ranges are specified. This is usually <code>bytes</code>.</dd>
</dl>

<dl>
 <dt>&lt;range-start&gt;</dt>
 <dd>An integer in the given unit indicating the beginning of the request range.</dd>
 <dt>&lt;range-end&gt;</dt>
 <dd>An integer in the given unit indicating the end of the requested range.</dd>
 <dt>&lt;size&gt;</dt>
 <dd>The total size of the document (or <code>'*'</code> if unknown).</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Content-Range: bytes 200-1000/67589
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7233", "Content-Range", "4.2")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Range Requests</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Content-Range")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("If-Range")}}</li>
 <li>{{HTTPHeader("Range")}}</li>
 <li>{{HTTPHeader("Content-Type")}}</li>
 <li>{{HTTPStatus("206")}} <code>Partial Content</code></li>
 <li>{{HTTPStatus("416")}} <code>Range Not Satisfiable</code></li>
</ul>
